<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Page Simple</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
</head>

<body class="hold-transition sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-white navbar-light">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="../../index3.html" class="nav-link">Home</a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="#" class="nav-link">Contact</a>
                </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <!-- Navbar Search -->
                <li class="nav-item">
                    <a class="nav-link" data-widget="navbar-search" href="#" role="button">
                        <i class="fas fa-search"></i>
                    </a>
                    <div class="navbar-search-block">
                        <form class="form-inline">
                            <div class="input-group input-group-sm">
                                <input class="form-control form-control-navbar" type="search" placeholder="Search"
                                    aria-label="Search">
                                <div class="input-group-append">
                                    <button class="btn btn-navbar" type="submit">
                                        <i class="fas fa-search"></i>
                                    </button>
                                    <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                                        <i class="fas fa-times"></i>
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </li>

                <!-- Messages Dropdown Menu -->
                <li class="nav-item dropdown">
                    <a class="nav-link" data-toggle="dropdown" href="#">
                        <i class="far fa-comments"></i>
                        <span class="badge badge-danger navbar-badge">3</span>
                    </a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="dist/img/user1-128x128.jpg" alt="User Avatar"
                                    class="img-size-50 mr-3 img-circle">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        Brad Diesel
                                        <span class="float-right text-sm text-danger"><i class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">Call me whenever you can...</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="dist/img/user8-128x128.jpg" alt="User Avatar"
                                    class="img-size-50 img-circle mr-3">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        John Pierce
                                        <span class="float-right text-sm text-muted"><i class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">I got your message bro</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="dist/img/user3-128x128.jpg" alt="User Avatar"
                                    class="img-size-50 img-circle mr-3">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        Nora Silvester
                                        <span class="float-right text-sm text-warning"><i
                                                class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">The subject goes here</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item dropdown-footer">See All Messages</a>
                    </div>
                </li>
                <!-- Notifications Dropdown Menu -->
                <li class="nav-item dropdown">
                    <a class="nav-link" data-toggle="dropdown" href="#">
                        <i class="far fa-bell"></i>
                        <span class="badge badge-warning navbar-badge">15</span>
                    </a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <span class="dropdown-item dropdown-header">15 Notifications</span>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-envelope mr-2"></i> 4 new messages
                            <span class="float-right text-muted text-sm">3 mins</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-users mr-2"></i> 8 friend requests
                            <span class="float-right text-muted text-sm">12 hours</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-file mr-2"></i> 3 new reports
                            <span class="float-right text-muted text-sm">2 days</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item dropdown-footer">See All Notifications</a>
                    </div>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-widget="fullscreen" href="#" role="button">
                        <i class="fas fa-expand-arrows-alt"></i>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button">
                        <i class="fas fa-th-large"></i>
                    </a>
                </li>
            </ul>
        </nav>
        <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="../../index3.html" class="brand-link">
                <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
                    style="opacity: .8">
                <span class="brand-text font-weight-light">Devcamp</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">
                <!-- Sidebar user (optional) -->
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="image">
                        <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
                    </div>
                    <div class="info">
                        <a href="#" class="d-block">Tấn Lộc</a>
                    </div>
                </div>

                <!-- SidebarSearch Form -->
                <div class="form-inline">
                    <div class="input-group" data-widget="sidebar-search">
                        <input class="form-control form-control-sidebar" type="search" placeholder="Search"
                            aria-label="Search">
                        <div class="input-group-append">
                            <button class="btn btn-sidebar">
                                <i class="fas fa-search fa-fw"></i>
                            </button>
                        </div>
                    </div>
                </div>

                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link act active">
                                <i class="nav-icon fas fa-tachometer-alt"></i>
                                <p>
                                    Dashboard
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="ComboMenu.html" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>ComboMenu</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="Drink.html" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Drink</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="UserOrder.html" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>UserOrder</p>
                                    </a>
                                </li>
                            </ul>
                        </li>

                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1>Blank Page</h1>
                        </div>
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#">Home</a></li>
                                <li class="breadcrumb-item active">Blank Page</li>
                            </ol>
                        </div>
                    </div>
                </div><!-- /.container-fluid -->
            </section>

            <!-- Main content -->
            <section class="content">
                <div class="container-jumbotron">
                    <div class="row d-flex justify-content-center">
                        <div class="col-sm-4">
                            <div class="row">
                                <div class="col-sm-2 text-right">
                                    <label for="" class="">Menu</label>
                                </div>
                                <div class="col-sm-5">
                                    <select name="" id="select-menu" class="form-control"></select>
                                </div>
                                <div class="col-sm-5">
                                    <button id="btn-detail" class="btn btn-info">Detail</button>
                                </div>
                            </div>
                        </div>



                    </div>
                    <div class="row  mt-5 d-flex justify-content-center">
                        <div class="col-sm-4 p-3 bg-warning text-white">
                            <div class="row text-white">
                                <div class="col-sm-4">
                                    <label for="">Kích Thước</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-kich-thuoc" class="form-control">
                                </div>
                            </div>
                            <div class="row text-white mt-2">
                                <div class="col-sm-4">
                                    <label for="">Đường Kính</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-duong-kinh" class="form-control">
                                </div>
                            </div>
                            <div class="row text-white mt-2">
                                <div class="col-sm-4">
                                    <label for="">Salad</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-salad" class="form-control">
                                </div>
                            </div>
                            <div class="row text-white mt-2">
                                <div class="col-sm-4">
                                    <label for="">Sườn Nướng</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-suon" class="form-control">
                                </div>
                            </div>
                            <div class="row text-white mt-2">
                                <div class="col-sm-4">
                                    <label for="">Nước Ngọt</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-nuoc-ngot" class="form-control">
                                </div>
                            </div>
                            <div class="row text-white mt-2">
                                <div class="col-sm-4">
                                    <label for="">Thành Tiền</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-thanh-tien" class="form-control">
                                </div>
                            </div>
                            <div class="row mt-3">
                                <button id="btn-add" class="btn btn-success px-3 py-2 mr-3">Thêm</button>
                                <button id="btn-update" class="btn btn-primary px-3 py-2 mr-3">Sửa</button>
                                <button id="btn-delete" class="btn btn-danger px-3 py-2">Xóa</button>
                            </div>
                        </div>
                    </div>
                </div>

            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        <footer class="main-footer">
            <div class="float-right d-none d-sm-block">
                <b>Version</b> 3.2.0
            </div>
            <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong> All rights
            reserved.
        </footer>

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>
    <!-- AdminLTE for demo purposes -->
    <script src="dist/js/demo.js"></script>
    <script>
        const gBASE_MENU = "http://localhost:8080/menu/menu/"
        $(document).ready(function () {
            onLoadDataMenu();
            $("#btn-detail").on("click", function () {
                var vId = $("#select-menu").val();
                onBtnDetailMenu(vId);
            })
            $("#btn-add").on("click", function () {
                onBtnAddMenu();
            })
            $("#btn-update").on("click", function () {
                var vId = $("#select-menu").val();
                onBtnUpdateMenu(vId);
            })
            $("#btn-delete").on("click", function () {
                var vId = $("#select-menu").val();
                onBtnDeleteMenu(vId);
            })

        })
        function handleSelectMenu(paramRes) {
            for (var i = 0; i < paramRes.length; i++) {
                $("#select-menu").append($("<option>", {
                    text: paramRes[i].size,
                    value: paramRes[i].id
                }))
            }

        }
        function onLoadDataMenu() {
            $.ajax({
                url: gBASE_MENU + "all",
                type: "GET",
                success: function (paramres) {
                    handleSelectMenu(paramres);
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function onBtnDetailMenu(paramId) {
            $.ajax({
                url: gBASE_MENU + "details/" + paramId,
                type: "GET",
                success: function (paramres) {
                    handleDetails(paramres);
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })

        }
        function onBtnAddMenu() {
            var vMenu = {
                size: "",
                duongKinh: "",
                salad: "",
                suonNuong: "",
                nuocNgot: "",
                thanhTien: "",
            }
            thuThapThongTinMenu(vMenu);
            $.ajax({
                url: gBASE_MENU + "create",
                type: "POST",
                data: JSON.stringify(vMenu),
                contentType: "application/json; charset=utf-8",
                success: function (paramRes) {
                    alert("add menu success");
                    location.reload();
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function onBtnUpdateMenu(paramId) {
            var vMenu = {
                size: "",
                duongKinh: "",
                salad: "",
                suonNuong: "",
                nuocNgot: "",
                thanhTien: "",
            }
            thuThapThongTinMenu(vMenu);
            $.ajax({
                url: gBASE_MENU + "update/" + paramId,
                type: "PUT",
                data: JSON.stringify(vMenu),
                contentType: "application/json; charset=utf-8",
                success: function (paramRes) {
                    alert("update menu success");
                    location.reload();
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }

        function onBtnDeleteMenu(paramId) {
            $.ajax({
                url: gBASE_MENU + "delete/" + paramId,
                type: "DELETE",
                success: function (paramres) {
                    alert("delete Menu success");
                    location.reload();
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function handleDetails(paramRes) {
            $("#inp-kich-thuoc").val(paramRes.size);
            $("#inp-duong-kinh").val(paramRes.duongKinh);
            $("#inp-salad").val(paramRes.salad);
            $("#inp-nuoc-ngot").val(paramRes.nuocNgot);
            $("#inp-suon").val(paramRes.suonNuong);
            $("#inp-thanh-tien").val(paramRes.thanhTien);

        }
        function thuThapThongTinMenu(paramObj) {
            paramObj.size = $("#inp-kich-thuoc").val();
            paramObj.duongKinh = $("#inp-duong-kinh").val();
            paramObj.salad = $("#inp-salad").val();
            paramObj.nuocNgot = $("#inp-nuoc-ngot").val();
            paramObj.suonNuong = $("#inp-suon").val();
            paramObj.thanhTien = $("#inp-thanh-tien").val();
        }
    </script>
</body>

</html>